Bug 1649555 - Pantheon Desktop
Summary: Pantheon Desktop
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 1644858 1644719 1654869 1696299 1696927 1700337
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 21:16 UTC by Ben Cotton
Modified: 2019-04-30 15:49 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-30 15:49:39 UTC


Attachments (Terms of Use)

Description Ben Cotton 2018-11-13 21:16:19 UTC
This is a tracking bug for Change: Pantheon Desktop
For more details, see: https://fedoraproject.org/wiki/Changes/PantheonDesktop

The Pantheon desktop environment is the DE that powers elementaryOS. It builds
on GNOME technologies, but utilizes components that were written from scratch
in vala, using the GTK+3 toolkit.

Comment 1 Fabio Valentini 2019-02-14 11:09:07 UTC
Comments regarding the upcoming "F30 Code complete (testable) deadline":

The Pantheon desktop on fedora is definitely already in a testable state, and I get reports that users are already using this "in production" on fedora 29 or 30. 

However, some minor parts of the "Pantheon DE" will probably not be available in time for fedora 30:

- Screensavers on GDM are not working yet (this should work as expected on LightDM, though).
- Some Settings application panes (switchboard plugs) are not working yet, because they rely too much on "debian-isms" or "ubuntu-isms".
  The missing packages are: switchboard-plug-{datetime,locale,parental-controls,power,security-privacy,useraccounts}.

Both require working with upstream developers and writing actual code (vala / C) to fix issues or to add missing features that are required for fedora - and I probably won't have time to do that in time for fedora 30.

Everything else is already available and should be in pretty good shape.

Comment 2 Ben Cotton 2019-03-05 21:50:01 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.

Comment 3 Fabio Valentini 2019-03-10 11:39:53 UTC
I will have to slightly reduce the scope of this Change, and postpone the missing pieces.

The Settings application panes that aren't packaged yet don't even work right on fedora (altough the missing ones are non-essential IMO). I don't have the time to learn another programming language (Vala) to fix those issues or implement the missing features myself, so they'll have to wait.

The lock screen support should be fixed for LightDM, altough it looks there might be some LightDM or light-locker bugs affecting the Pantheon session for some hardware configurations.

I already have some users testing the Pantheon session on fedora 29 and 30, and we've been working on fixing the remaining issues for some time. There are also some fixes and improvements pending upstream inclusion and release, which will further improve the situation.


TL;DR:

- The missing minor components will be postponed to "when they are ready" TM.
- Everything else should be good to go, ± some bugs in components that I have little or no control over.


Does this sound like a good plan?

Comment 4 Ben Cotton 2019-03-11 02:55:20 UTC
Sounds good to me. I'll update this to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.